WorldBuilder Terminology

3D EDITOR Terminology


Definitions

Point: Has 3 properties, viz: x, y & z coordinates.

Polygon: Co-planer surface that has 3 or more sides.

Group: A collection of one or more polygons. Could also be a collection of other groups.

Dynamic Group: A group which has its dynamic flag set to true. Only dynamic groups can move automatically in viewer mode.

Camera: This object is used to draw a projection of the scene onto the screen.

Chase: When a dynamic group has a chase type other than NO_CHASE it can move automatically in the viewer mode.

Track: A set of points that define a continuous path along which dynamic groups &/or cameras can move.

Background: An image that serves as a background for the scene.

Light: A source of illumination.

Light map: A bitmap that includes lighting information for the corresponding polygon.

Scene without Light maps Scene with Light maps


World Builder Help

3D EDITOR Version 1.0

Visit www.3d1.org for updates.

All hotkeys other than the ones specified by the menu bar need one of the views to have true focus.
When a view has true focus, it will have a bright yellow box surrounding it.
When the view looses focus, the box changes to blue.

Note:You can increase or decrease zoom sensitivity by pressing the +/- keys.

Multiple Selection: With Ctrl pressed – selected entities (groups, points, polygons, texture coordinates) are added to the previous selection. With Shift pressed – selected entities are removed from previous selection.

MENU BAR

TOOLBAR

WORKSPACE

MENU BAR:-

File >> New | Ctrl + N | Creates an empty world.
File >> Open | Ctrl + O | Opens an existing *.wld or *.morfit file.
File >> Add World |  | Adds a selected *.wld or *.morfit file to the loaded world
File >> Close |  | Closes the loaded world.
File >> Save | Ctrl + S | Saves changes made to the loaded world.
File >> Save As |  | Prompts for a file name before saving.

Edit >> Select All |  | Selects all groups when in group selection mode, selects all points when in edit point mode or selects all polygons when in edit polygon mode.
Edit >> Select Invert |  | Inverts current selection.
Edit >> Hold |  | Saves the world into a temporary file that can be retrieved later. A hold is usually done before performing an action which cannot be undone.
Edit >> Fetch |  | Retrieves the world that was saved using Edit >> Hold.
Edit >> Undo | Ctrl + Z | Actions that support undo/redo. A max of 20 undo/redo’s are allowed.
Edit >> Redo | Ctrl + A

View >> Toolbar |  | Shows or hides the toolbar.
View >> Status bar |  | Shows or hides the status bar.
View >> Workspace |  | Shows or hides the workspace.
View >> Hide Selected |  | Hides selected objects.
View >> Hide UnSelected |  | Hides objects that are not selected.
View >> Unhide All |  | Unhide’s all hidden groups or cameras.
View >> Redraw All Views | F12 | Refreshes all views.
View >> Reset Views |  | Restores all views to their original positions. Also disables the 3d card by default.
View >> Viewer Mode | F5 | Launches the viewer mode. Objects using chase will move automatically!
View >> Expert Mode | Ctrl + X | Sets or resets Expert Mode. This is used to maximize the working area.

Group >> Group | Groups the selected groups under a new group.
Group >> Ungroup | Removes the selected group, but keeps all its child groups.
Group >> Attach | Attaches group/s to the selected group. Provides a selection window to select the group/s.
Group >> Detach | Removes the selected group from its parent.
Group >> Ungroup All | Ungroups the selected group as well as all its children’s.
Group >> Delete | Deletes the selected group.

Create >> Standard Groups | Creates Plane, Box, Sphere, Cylinder, Cone or Torus with default parameters.
Create >> Camera | Creates a camera with default parameters.
Create >> Light | Creates a light source with default parameters.
Create >> Track | Creates a circular track with default parameters or allows the user to build a custom track by clicking in one of the view ports.
Create >> Light Maps | Creates light maps based on the light sources in the world.

TOOLBAR:-

New | Ctrl + N | Creates an empty world.
Open | Ctrl + O | Opens an existing *.wld or *.morfit file.
Save | Ctrl + S | Saves changes made to the loaded world.
Select | S | Sets selection mode.
Move | Shift + 1 | Sets movement mode.
Rotate | Shift + 2 | Sets rotation mode.
Scale | Shift +3 | Sets resizing mode.
Pan | P | Sets panning mode. Can also be done when in any non transform mode by keeping “I” pressed and moving the mouse over the window having focus.
Revolve | R | Sets revolve mode. The current view camera can be made to revolve about the selected object.
Zoom Camera | Z or Scroll. | Sets zoom mode. This is used to change the FOV of the current view camera.
Move Camera | M | Moves the camera towards or away from the selected object.
Roll Camera |  | Rotates the camera about its viewing axis.
Align | Alt + L | Align selected object with some target object.
Duplicate | Alt + D | Duplicates selected objects.
Atmosphere | Alt + A | Sets Atmosphere parameters.
Selection List | Alt + S | For selection of single or multiple objects.
Zoom Extents | Ctrl + Alt + Z | Zooms in/out in order to make the selected object cover the entire view. Keeping Ctrl pressed and clicking on this button will ignore any selection and zoom out the entire world.
Zoom Extents All | Ctrl + Shift + Z | Zoom Extents all windows.
Min/Max Toggle | W | Maximizes or minimizes the window having focus.
Center Object in View | Shift + C | Places the center of the selected object in the center of the current view.
Wireframe | F2 | Toggles between wireframe and bounding box mode.
3D Card Toggle | Ctrl + Alt + V | Turns the 3d card (hardware) acceleration ON or OFF.

WORKSPACE:-

1) Groups:

This provides a tree view of all the groups in the world. Its right click menu allows, Ungrouping, Removal of light, Deletion or hiding of the group.

2) Edit Group:

a) New Object: Allows creation of Plane, Box, Cylinder, Cone, Sphere or Trous with user defined parameters.
b) Edit geometry:

Edit Chase: | Set chase parameters for selected group.
Reduce Pols: | Reduce polygon count.
Triangulate: | Set all polygons to a maximum of 3 sides.
Dynamic: | Set a group dynamic or static.
Edit Point: | Select and transform (move, rotate, scale) multiple points.
Delete: | Delete selected points
Ignore back faced: | Points part of back faced polygons are ignored during selection.
Edit Polygon: | Select and transform (move, rotate, scale) multiple polygons.
Delete: | Delete selected polygons.
Flip: | Flip selected polygons.
Cut: | Cut selected polygons.
Detach: | Remove selected polygons out from the group as a separate group
Ignore back faced: | Back faced polygons are ignored during selection.
Extrude: | Extrudes the selected polygons.
Bevel: | Bevels the selected polygons.
Rotated: | Sets the selected polygons as rotated.
Light Diminution: | Sets Light diminution for the selected polygons.
Filter Glass: | Sets filter glass for the selected polygons.
Transparency: | Sets allows/removes transparency from selected polygons.
Transparent color: | Sets transparent color for the selected polygons bitmap.
c) Edit Texture:

 Edit texture coordinates of the selected group.
Edit: | Opens the texture coordinate editor.
Editor: | Allows, select, move, rotate, scale for selected coordinates. Editor window can be zoomed and panned. Mirroring of the selected texture coordinates is also supported. Note: Keep “X” or “1” key pressed to restrict mirror, move or scale to x-axis. Keep “Y” or “2” key pressed to restrict mirror, move or scale to y-axis.
Zoom Extents | for the selected coordinates is supported just like the main view ports.
Texture On/Off | The texture can be turned off to improve speed performance especially at high zoom factors. If the selected group uses multiple textures then the texture shown can be switched.
Selected Only: | This bottom toolbar button is used to display only selected polygons coords.
Planar Map: | Maps the selected polygons texture coordinates on the selected plane. With x selected, the YZ plane is used etc.

3) Background/Camera/Track:

Background: Add, Delete.

Camera: Add, Delete, Hide, Unhide, Hide All, Unhide All. Save current View.

Set >> FOV, Dist from eye, Location, Direction, Edit Chase.

Track: Add, Delete. Edit points (move, rotate, scale)

Insert point – Click on the track to add points.

Press “Delete” command button to delete selected points.

4) Texture: Apply to selected group or to selected polygons.

Animation: Add, Edit, Delete

Map: Add, Delete, Update.

5) Model Gallery: Add to gallery, Remove from gallery, Add folder, Delete folder.

To add a model to your world, drag its preview and drop it into one of the views.

6) Light: Add, Delete.

Set parameters:- Target, Type, Location, Direction, Color, Auto update flag, Ambient, Diffuse, Specular, Shine, Distance reach, On/Off flag, Ray tracing flag.

Actions that currently support undo/redo.
1) Selecting: Groups, Cameras, Points, Polygons, Tracks, Lights.
2) Creating: Groups, Cameras, Tracks, Lights.
3) Adding Models.
4) Edit Geometry – Triangulate
5) Edit Geometry – Reduce polygons
6) Deleting: Groups, Cameras, Points, Polygons, Tracks, Lights.
7) Entire “Group” menu.
8) Move Groups, Cameras, Points, Polygons, Tracks, Track points, Lights.
9) Rotate Groups, Cameras, Points, Polygons, Tracks, Track points, Lights.
10) Scale Groups, Points, Polygons, Tracks, Track points.
11) Extrude Polygons.
12) Bevel Polygons.
13) Duplicate.
14) Applying texture map.
15) Applying color fill.
16) All actions in the Texture Map Editor.
17) Renaming entities.
18) Changing entity (group, camera, track, background, light) name.
19) Cut polygons.
20) Hide/Unhide objects.
21) Change fog settings.
22) Polygon properties: Rotated, Light diminution, Translucency, Transparent Index..
23) Flip Polygons.
24) Align objects.


Viewport Right Click Menu

Right clicking over the viewport label will bring up a menu from which six isometric views (viz: Top, Bottom, Left, Right, Front, Back) or a perspective can be selected.

If the scene has camera/s, the right click menu will also allow selection of a scene camera to be used for drawing the current viewport.

Selecting the "Camera" option will bring up the selection window from which a camera can be selected.


Selecting Objects

To select objects you need to be in the selection mode. This mode can be set by clicking on the ‘Select’ [image] toolbar button or by pressing ‘S’ key.

Selecting Groups

This can be done in 3 ways:

a) Click on corresponding entry in the ‘Groups’ tab of workspace.

or

b) Click on the required group in one of the view ports.
or

c) Click the ‘Selection’ [image] toolbar button. This will open the selection window from which you can select the necessary object/s.
Selection Window.

Selecting Cameras

This also can be done in 3 ways:

a) Click on corresponding entry in the ‘Background/Camera/Track’ [image] tab of workspace.

b) Click on the required object in one of the view ports.
or

c) Use the selection window.

Selecting Lights

This also can be done in 3 ways:

a) Click on corresponding entry in the ‘Light’ tab [image] of workspace.
or

b) Click on the required light in one of the view ports.
or

c) Use the selection window.

Selecting Tracks

There is currently only one way of doing this

a) Click on corresponding entry in the ‘Background/Camera/Track’ tab [image] of workspace.

Selecting Multiple Objects

Multiple objects can be selected by drawing the selection rectangle.

To add to a selection, keep "Ctrl" pressed.

To remove from a selection, keep "Shift" pressed.


Transforming Objects

(Move, Rotate, Scale)

The selected object can be Moved, Rotated or Scaled in either of 2 ways.

Method 1: Using the Transform Gizmo

Select the Move or Rotate or Scale tool.
Movement mode selected.
Rotate mode selected.
Scale mode selected.

Now left click and drag one of the arms of the transform gizmo.
Move.

Rotate.

Scale.
Note: If you keep "Shift" pressed while scaling, the object will be scaled uniformly in all directions.

Method 2: Using the Transform Type-in Window

After selecting the appropriate transformation tool, right click over its depressed toolbar button. This will bring up the "Transform Type-in" window.

After changing a value, press enter to update the scene.

This method is very useful for accurate transformation.


Setting Group Properties

Select the group whose properties you wish to change.

Once you have selected a group, click on the ‘Edit Group’ [image] workspace tab.

Now select ‘Edit Geometry’ from the first dropdown combo box [image] .

This will open the edit geometry frame: .

1) Making a group static or dynamic.

Click on the ‘Dynamic’ check box [image] . When it is checked the group is dynamic, only then its chase parameters will be used to make it move automatically in viewer mode.

2) Setting Chase parameters – (physics, track etc)
Click on the ‘Edit Chase’ button [image] to open the ‘Edit Chase parameter’ window

CHASE_PHYSIC:-

When a group has its chase type set to ‘CHASE_PHYSICS’ it will move automatically (in the viewer mode) depending on its physics parameters.
Force Direction:

The dynamic group will accelerate in this direction.

Force Magnitude:
This will decide the amount of acceleration.

Speed:
Sets the absolute speed of the object.

Max Speed:
The object will not accelerate beyond this speed

Elasticity:
This defines the speed (as a fraction of the incident speed) at which the object will continue moving after it has bounced of some other object in the scene. A value of 0.5 will reduce speed by half, where as a value 2 will double the speed.

Friction:
This is the force that will retard any motion. A value 0 means no friction, while a value 1 means infinite friction.

CHASE_LOCATION CHASE_PRECISE CHASE_FLEXIBLE:-

Chase:
Object (group or camera) that the selected group will chase.

Distance:
Distance the selected group will maintain while chasing.

Softness
Value close to 0 means the tracking is weak. A value 1 means the tracking is sharp.

Offset:
The amount by which the object will offset while chasing.

CHASE_TRACK TRACK_AIRPLANE:-
Chase:
The track to be chased

Speed Softness & Offset have their normal meanings.

3) "Group Properties" window
The above group properties can also be accessed through the "Group Properties" window.
To know how to open the Groups Properties window click here.

Name | Rename the selected group.
Dynamic | Make the group dynamic or static.
Light Diminution | This value indicates how fast the visibility of the object will decrease as one moves away from it. Note: Applicable only if the scene has non zero fog value.
Filter Glass | Used to achieve different glass like effects.
Edit Chase | Set chase properties
Depth | Change depth value
Width | Change width value
Height | Change height value


Workspace Groups Tab

Workspace
Groups Tab

Right clicking over a group listed in the "Groups" tree view will pop a menu with the following entries.

Ungroup | All the child groups will be made independent and the father group (selected group that is now empty as a result of ungrouping) will be deleted. Note: Applicable only if the selected group has child groups.
Remove Light | Removes lighting information from the selected group.
Remove Light Maps | Removes light maps from selected group.
Delete | Deletes selected group Shortcut: Del.
Hide | Hides selected group. Shortcut:F6
Properties | Opens the groups properties window.
Remove From Group | Detaches the selected child group from its father group. Note: Applicable only if selected group has a father group.
Unhide | Unhide a hidden group


World Viewer

3D Viewer
(viewer mode)

MENU BAR:-

File >> Exit

Esc

Exit viewer mode

View >> 3D Card |  | Toggles 3D hardware acceleration.
View >> Camera >> Previous | Ctrl + X | Selects previous camera from the list of cameras that use some chase type other than NO_CHASE.
View >> Camera >> Next | Ctrl + S | Selects next camera from the list of cameras that use some chase type other than NO_CHASE.
View >> Auto Mode | F8 | Selects the current camera from the list of cameras that use some chase type other than NO_CHASE.
View >> Perspective Correction >> Low |  | Low perspective correction accuracy. Relevant only in software rendering
View >> Perspective Correction >> Medium |  | Medium perspective correction accuracy. Relevant only in software rendering
View >> Perspective Correction >> High | F12 | High perspective correction accuracy. Relevant only in software rendering

Reset>>Location | Places the camera at the origin.
Reset>>Direction | Makes the camera point in the -ve x-direction.
Reset>>Both | Resets both location as well as direction.

CONTROLS:-

Arrows: | Forward, Backward, Turn left & Turn Right.
Arrows + Shift: | Pan Left & Pan Right.
Key A: | Turn Up.
Key Z: | Turn Down.


Rotated Polygons

A polygon having its 'rotated' property set to true will automatically rotate itself such that it always faces the camera.

To make a polygon rotated do the following:

Select the group to which the polygon belongs.
Open the "Edit Group" workspace tab.

Select "Edit Geometry" and enter the "Polygon" sub object mode.

Then check the "Rotated" check box.


Duplicating Objects

Note: currently only groups can be duplicated
To duplicate an object, select it and then click the "Duplicate" toolbar button.
This will activate the duplicate window.

Number of copies: The number of duplicate copies that will be created.
Offset: Used to specify the spacing between the duplicated objects.


Setting Fog parameters
(Atmosphere)

Using fog is one of the easiest ways to increase your game speed.
The more intense fog, the higher FPS (frames per seconds) you should expect.
Note however that if you do not use fog at all or use an unnoticeable intensity of fog then it is better to shut off fog entirely (set its value to zero).

To change the fog (atmosphere) settings of your scene, click on the atmosphere [image] toolbar button.
This will open the fog parameters window.

Color | Sets the fog color. If the scene doesn't have a background, this color also serves as the scene background color.
Intensity | Increase or decrease fog intensity. Note: keeping shift pressed will double the rate of change.


Sub

Sub-object Modes

Editing Groups at the point sub-object level

With a group selected, click on the "Edit Group" [image] workspace tab.

Then select "Edit Geometry" from the first drop down list.

Now set the sub-object mode to "point" if it is not already set.

Editing Groups at the polygonal sub-object level

With a group selected, click on the "Edit Group" [image] workspace tab.

Then select "Edit Geometry" from the first drop down list.

Now change the default point sub-object mode "point" to "polygon".


TUTORIALS

3D EDITOR
 www.3d1.org

TUTORIALS

Terminology used by 3D EDITOR

1) Transforming Objects

2) Creating Tracks

3) Quick World Part 1

4) Quick World Part 2

5) Aligning Objects

6) Detaching Polygons

7) Extrude Bevel

Advanced Tutorials


Creating Tracks

Circular Tracks

Method A)

1) Create a new file. File à New, or press Ctrl + N.

2) Now select Create à Track à Circular
This will create a circular track with 8 (default) points centered at the origin.
Top view.

Method B)

1) Create a new file. File à New, or press Ctrl + N.

2) Click the “Background/Camera/Track” workspace tab [image].

3) Now right click the track folder and select new.

4) Click on “Circular” command button.

5) [image] Now you can specify the number of points the track should be made of.

6) Set the Num of Points value and click Ok.
Example: Circular Track with 25 points. Top view.

Custom Tracks

Method A)

1) Create a new file. File à New, or press Ctrl + N.

2) Create a box (Create à Standard Groups à Box). This step is necessary as custom track is laid down over polygons. Now click on the “Zoom Extents All” toolbar button. . Select wireframe mode [image].

3) Select Create à Track à Circular [image].

4) The cursor will change shape indicating that we are in ‘create track’ mode.

5) Now left click over the top surface of the box to lay down the track. When you have finished creating all the required points, press the right mouse button. You will then be given an option whether or not to make the track cyclic.

Method B)

1) Step 1) to 3) of Circular Tracks – Method B).

2) Click on the “Custom” command button [image].

3) Now follow steps 2), 4) and 5) of Custom Tacks – Method A).


Quick World

Quick World - Part 1

1) Create a new file. File à New, or press Ctrl + N.

2) Select ‘Terra’ from the template window.

3) From the ‘Groups’ workspace tab select the group named ‘RIGHT’.

4) Click on “Zoom Extents All” [image] toolbar button.

5) You will see a road track as shown.

6) Now maximize the perspective window by clicking the ‘Min/Max toggle’ toolbar button [image] or by pressing ‘W’.

7) Open the model gallery tab [image] , and select a tree model (MODELS à Nature à Trees à Summer)

Note: you’ll see a preview of the selected model.

8) Now drag the preview and drop it into the scene at an appropriate location (say besides the road).
Drag.

Drop.

9) Now ‘zoom extents’ [image] the scene once more. You will now clearly see the tree that you just added.

10) Now select the revolve tool [image] . Keep left mouse button pressed and drag in the view port to see the selected object from all directions.

11) Note: the 2D tree that you just added uses a rotated polygon.

12) Scroll the mouse middle wheel to zoom in and out. You can also use the ‘Move Camera’ tool [image] .
Note: you can increase or decrease zoom sensitivity by pressing the +/- keys.

13) Continue adding more models (Houses, Trees, 2D People, etc) in a similar fashion.

14) Note: You can pan (move left right up or down) the scene while in revolve mode by keeping ‘I’ pressed and moving the mouse.
Note: If you feel that you have done something wrong, don’t hesitate to use the undo-redo feature.

15) Once you feel you have added enough models, you can preview your world by pressing the F5 key or selecting ViewàViewer Mode from the main menu.
This will launch the 3D Viewer.

16) That's it, you have created your first 3D world! Save your world.(File à Save As or press Ctrl+S)


Quick World

Quick World - Part 2

In this tutorial we will add a track and assign a car to it so that the car moves automatically in viewer mode.
We will also make a camera follow the car.

1) Open the world file that you created following the Quick World - Part 1 tutorial.

From the ‘Groups’ workspace tab select the group named ‘RIGHT’.

2) Click on “Zoom Extents All” [image] toolbar button.

3) You will see a road track as shown.

4) Now maximize the perspective window by clicking the ‘Min/Max toggle’ toolbar button [image] or by pressing ‘W’.

5) Select the revolve tool [image] . Left click and drag in the view port so that we are viewing the track from top.

6) Click the “Pan” [image] toolbar button (or press “P”) to enter panning mode. Now press the left mouse button in the view port and drag until a part of the road (preferably where the road turns) is in the center of the screen.

7) Scroll the mouse middle wheel to zoom in and out. You can also use the ‘Move Camera’ tool [image] .
Note: you can increase or decrease zoom sensitivity by pressing the +/- keys.

8) Zoom in to see the road clearly.

9) Now we can start laying a track. Open the “Background/Camera/Track” workspace tab.

10) Now right click the track folder and select new.

11) Click on the “Custom” command button [image] .

12) The mouse pointer will change shape, indicating that we are in “create track” mode.

13) Now start left clicking on the road. Every left click will add a point to the track.
Note: to remove the last inserted point, press the back space key “ß”.

14) Now go to “Pan” mode [image] and pan the view to see the remaining part of the road.

15) Press the select toolbar button [image] or press “S” to enter select mode. This will allow us to continue adding points to out track.

16) Keep adding points until you reach the beginning of the track.

17) Now press the right mouse button. You will get the following message box.
Select yes. That will complete the track.

18) Now drag and drop a car from the model gallery into our scene. (Models à Civilian à Cars1)
To know how to add models from the model gallery click here.

19) Now open the “Groups” workspace tab and right click the highlighted node (highlighted node = selected group).
From the right click menu select “Properties”. This will open the “Group Properties” window.

20) Now click the “Edit Chase” button. This will open the “Edit Chase” window.

21) Set the parameters as shown. and click Ok.

22) Note: In the “Group Properties” window, the dynamic property will be automatically set. Press Ok. And save your world.
Only dynamic groups can move automatically in viewer mode.

23) Now launch the viewer mode by selecting View à Viewer Mode from the main menu or by pressing the F5 key.

24) The car will move automatically along the track.

Note: To know how to move inside the viewer mode, read the 3D Viewer documentation.

25) Ok, we now know how to make a group (the car) chase a track.
Now lets make a camera chase the car!
Open the “Background/Camera/Track” workspace tab.

26) Right click the CAMERA folder and select New. This will create a new camera. Click on the “Edit Chase” button from the cameras parameter list.

27) This will open the “Edit Chase” window. Set the parameters as shown below. And click ok.

Note: “ambody_2” is the name of car that is chasing the track.

28) Now press F5 to launch viewer mode (world viewer).

The car will chase the track and the camera will chase the car.


Transforming Objects

Aligning Objects

In this tutorial we will insert a chair in an indoor scene and align it with the floor.

1) Create a new file and select the "EightWays" template.

2) Maximize the perspective view and zoom in.

3) Select a chair from the model gallery and drop it into the scene. (you will find chairs in the Furniture folder)

4) Now make a zoom extent and then use the revolve tool to view the chair from all sides.
You will notice that the chair is too large.

5) Use the scale tool and reduce the size of the chair.
Remember to keep shift pressed, as we want the chair to be scaled uniformly.
Ok, but the chair seems to floating in the air - we need to place it on the floor.

6) Now select the align tool.
The mouse pointer will change shape:
Now we need to select the target object with which the current selected object will be aligned.

When the mouse is over a valid target it will change shape to [image]. We can then select the target by clicking with the left mouse button.

In our case, the target is the only other group in the scene: "EightWays"
On selecting the target, the Align window will appear.

7) Select the following settings.

These settings are interpreted as follows:
The current object's (i.e. the chair's) minimum should be aligned with the target object's minimum and only the Z coordinate should be affected.
This will automatically place the chair on the floor. Select Ok to close the align window.


Detaching Polygons

Detaching polygons form a group into a separate group can be useful at times.
Consider for example we have a car model and in our application we need to control the four wheels independently. This can be done only if the polygons of each wheel are grouped separately.

1) Create a New blank file (File >> New >> New).

2) Drag n drop a car from the models gallery. (MODLES >> Civilian >> Cars1 >> “CAR01n”).

3) Zoom out all the view ports (zoom extents all). Maximize top view. And select the car. Also set the wire frame mode.

4) Open the “Edit Group” [image] workspace tab and select “Edit Geometry” from the first dropdown list and “Polygon” from the second dropdown list.

5) Select the front left wheel polygons as shown.

Note: While selecting multiple polygons, only those polygons will be selected that have at least one point inside the selection rectangle. That is why in the above image we see that the axle is also selected.

6) Press the “Center Obj in view” [image] toolbar button. This will center the selection within the current view.
Now we need to deselect the axle. Keep “Shift” pressed and draw the selection rectangle as shown. (Note: since shift is pressed, the selection box is actually now a de selection one, signified by the red boundary).

7)
Ok, now we can detach the wheel. Click the “Detach” button from the workspace tab.
You will be prompted to enter the “New Group Name”, lets name it “Wheel_F_L”, ie the front left wheel.

8) Following same procedure as above, we detach the other remaining 3 wheels. This results in the group structure shown.

9) Now open the selection window and select all the 5 groups.
From the main menu select “Group >> Group” [image] . You will be prompted to enter the new group name. Lets name it “Speedy”.

10) Well, that’s it, now your model is ready for programming with your graphics engine.


Cutting Polygons

Extrude Bevel

In this tutorial we will use the extrude and bevel tools to create a pillar.

1) Create a New Blank file. (File>>New>>New)

2) Create a box. (Create>>Standard Groups>>Box)

3) Zoom extents all views and set wire frame mode.

4) Enter the Polygon sub-object mode.

5) Now select the top face of the box.

6) Keep the “Extrude” up down button pressed in the up direction [image] until you have extruded sufficiently, see image below.

7) Zoom extents.
Now bevel in the negative direction.

8) Continue extruding beveling alternately until you are done with your pillar.
Note: If you don’t do it correctly in the first attempt, you can always use one or more undo’s.


ADVANCED TUTORIALS

1) Creating a House Part 1

2) Creating a House Part 2


Creating a House

Creating a House Part 1

1) Create a new file. File à New, or press Ctrl + N.

2) Now create a Box, using either of the methods below

Method a)

Method b) [image] Press the create button.

3) Click on “Zoom Extents All” [image] toolbar button so that we can get a good look at our box.

Note: To know the names of the toolbar buttons, place the mouse pointer over them, a tool tip text will be automatically displayed.

4) Turn on wireframe mode by clicking

5) Select the “Edit Group” [image] workspace tab if it’s not already selected. And select “Edit Geometry” from the first combo box as shown below.

6) Now select “Polygon” mode.

7) Select the topmost polygon of the box by clicking on it.

8) Now click inside the “Extrude” text box [image] and press enter. Although the extrude value is 0, the selected polygon/s will be extruded by a tiny amount( by 1 micro unit to be precise). You’ll immediately notice that the status bar now shows 10 for “Total Polygons in World” and 10 for “Number of Polygons in Selected Group”.

Note: the status bar is located right at the bottom of the application. The first number indicates the total number of polygons in the entire world. The second tells the polygon count of the selected group!

9) Now select the “Scale” tool. and scale the selected polygon along the x-axis by clicking and dragging along the x-axis of the transform gizmo [image]. Note: Red = X axis, Green = Y axis, Blue = Z axis respectively.

Stop when you have something that looks like this.

10) Now let’s do another extrusion. This time will use the up down button.

Keep the Up button pressed until you have extruded enough.

You will have something like this now.

11) Ok, the selected polygon has been extruded out of our view. Let’s do another zoom extent. Press [image] or [image], you can also use the hot keys: Ctrl + Shift + Z or Ctrl + Alt + Z. .

12) Now right click over the “Scale” [image] tool. This will open a type in window.

Note: The “Scale” toolbar button must be pressed, otherwise right clicking will not have any effect!

Now type “0” in the field for X axis. And press enter. Again, this will not set the scale to 0 but a very tiny value.

Press escape to get rid of the type in window.

13) We should have something like this by now.

The selected polygon is no longer necessary. So lets delete it. Press the “Delete” key or click on the “Delete” command button.

14) We have 2 more similar polygons that need to be deleted.

Let’s maximize our viewing area. Click [image]. Now go into selection mode [image]. And draw a selection rectangle over the corner shown.

Note: while selecting multiple polygons using the rectangular box method, the rectangle must encapsulate at least one point of the polygon to be selected.

15) Now we have 4 polygons selected.

Select the “Revolve” tool [image]. With this selected, you can click in the view and drag the mouse while keeping the left mouse button pressed. This will allow you to view your model from different directions.

Now change the view such that we are viewing the house from down – looking upwards. As shown below.

16) Now go back to selection mode [image]. And deselect polygons numbered 1), 2) & 3) by clicking on them while keeping shift pressed.

17) The selected polygon that is left is the one to be deleted. Go ahead and delete it.

18) Use similar technique as described in items 15) , 16) and 17) to delete the other unnecessary polygon that is on the back side.

19) You may also delete the bottom polygon.

20) Now all that our house needs is some painting. This will be covered in the next tutorial.


Creating a House Part 2

1) The tutorial “Creating a House Part 1” showed how to build a house by starting from a box.

This is what we had then.

2) Now lets get busy texturing our house.

Save this texture to your hard disk. To do so, right click the image and select “Save Picture As…”.
Or, right click and select "copy". Then open some image editor (windows paint for e.g.) and paste the image and then save it.

Open the texture workspace tab [image]. Right click on the folder named “MAP” and select “New” and select the texture that you just saved.

3) Now click on the image node you just added.

4) Click the “Apply to Group” command button. The texture has now been applied to the house.

5) Now go to the “Edit Group” [image] workspace tab and select “Edit Texture” [image] from the first dropdown combo box.

6) Now click on the “Edit” [image] button. This will open the texture editor.

7) Click on the “Revolve” [image] tool from the main toolbar. Now click inside the maximized perspective view port. Now keep “I” key pressed and move the mouse. By now you must have observed that this is another way to do panning. Ok, now pan the view to the right so that you can clearly see the house as well as the Texture map editor.

8) Now enter the selection mode. (note: this can also be done by pressing “S” with the main window having focus).

Now select the 2 triangular polygons as shown.

Note: To select multiple polygons, keep “Ctrl” key pressed while clicking on the polygons that you wish to select.

From the workspace (which possibly is hiding below the texture map editor) select Y as the mapping plain normal and click the “Planar Map” button.

9) Click on the “Selected Only” button [image] on the bottom toolbar of the Texture map editor.

Now the Texture map editor will show texture coordinates of the selected polygons only.

10) “Zoom Extents” to see these coordinates. . Note: keeping “Ctrl” pressed while doing a “Zoom Extent” will zoom out all the coordinates, not just the ones associated with the selected polygons.

11) Select these coordinates. There are 2 ways for selecting multiple items (points, polygons, groups or texture coordinates points as in our present case). One is to keep “Ctrl” pressed while clicking on the entities we wish to select and the other is to draw a selection rectangle by keeping the left mouse button pressed and dragging in the view.

Now move these coordinates so that the top of the roof is mapped properly.

Now use the “Scale” tool [image] . When in scale mode, if you hover the mouse pointer over the selected coordinates (represented as small red squares) the pointer image will change to 2 crossed scales as shown below.

Now keep the left mouse button pressed and drag the mouse. The selected coordinates will scale uniformly. Notice the point where you started scaling is not moving! (This is a deliberate feature, if this point had moved on scaling, you would have to reposition it).

Do the same scaling again. That is, keep the left mouse button pressed when hovering over the topmost coordinate and drag. But this time keep “X” or “1” key pressed, this will restrict scaling to the horizontal axis (x-axis) only.

Note: this (step 11)) is just on way of mapping. One could have also moved each point individually, in this case we wouldn’t have to use the scale tool. The scaling method was described as it is the best when there are a lot of points or when symmetry must be preserved.

12) Now select the front side of the house and set its mapping coordinates as shown.

Result =

13) Mm, the house looks a bit elongated! Let’s reduce height of the walls.

Close the Texture Map Editor window. Switch to the “Edit Geometry” [image] mode. Select “Point” as the sub object mode.

Now select the 4 bottom points [image] .

Move these points up along the z-axis until the texture on the front side looks somewhat proportional.

Note: You can quickly switch to the “Move” mode by pressing “Shift”+”1” (Of course, one of the views needs to have true focus).

Note: Movement (or any other transformation for that matter – rotation, scale) can be done in 2 different ways. One method is to use the transformation type in window (we used this for scaling in part 1 of this tutorial- step no 12). The other method is to drag one of the 3 line segments that are colored red, green, blue or yellow. These 3 line segments are collectively termed as “The Transform Gizmo”.

14) Now go back to the “Edit Texture” mode and select the 2 side polygons.

Map them as shown.

Note: Move and Scale transformations can be restricted to the x or the y axis by keeping “X” or “Y” key pressed respectively.

Map the back polygon as shown.

15) By now you should have got the hang of it. Now select the 2 roof polygons and map them as shown.

16) Don’t forget to map the 2 polygons below the roof.

You might have to “Planar Map” them along the Z axis or along their average normal. (see step 8 if you don’t remember how this can be done.)

17) We are done!

18) Now we may add out house model to the models gallery. To do so select the house, then go to the model gallery tab [image],

now right click the “MODELS” folder and create a sub folder (say: Houses) [image].

Now right click the “Houses” folder and select “Add to gallery” [image].

Any time you want to make an instance of this model, just drag its preview and drop into one of the view ports.